Name:           perl-Net-Netmask
Version:        1.9022
Release:        4%{?dist}
Summary:        Perl module for manipulation and lookup of IP network blocks
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Net-Netmask/
Source0:        http://www.cpan.org/authors/id/M/MU/MUIR/modules/Net-Netmask-%{version}.tar.gz
BuildArch:      noarch
# Build
BuildRequires:  perl
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
# Runtime
BuildRequires:  perl(Carp)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(overload)
BuildRequires:  perl(POSIX)
BuildRequires:  perl(strict)
BuildRequires:  perl(vars)
BuildRequires:  perl(warnings)
# Tests only
# XXX: BuildRequires:  perl(Benchmark)
BuildRequires:  perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "$(perl -V:version)"; echo $version))

%description
Net::Netmask parses and understands IPv4 CIDR blocks. It's built with
an object-oriented interface. Nearly all functions are methods that
operate on a Net::Netmask object.

%prep
%setup -q -n Net-Netmask-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes README
%{perl_vendorlib}/Net/
%{_mandir}/man3/*.3*

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.9022-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9022-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Jun 03 2015 Jitka Plesnikova <jplesnik@redhat.com> - 1.9022-2
- Perl 5.22 rebuild

* Thu May 21 2015 Petr Šabata <contyk@redhat.com> - 1.9022-1
- 1.9022 bump
- Modernized the SPEC
- Corrected the dep list
- License changed to `Perl'
- Changed the bogus date in changelog according to our git log

* Wed Aug 27 2014 Jitka Plesnikova <jplesnik@redhat.com> - 1.9015-17
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9015-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9015-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 17 2013 Petr Pisar <ppisar@redhat.com> - 1.9015-14
- Perl 5.18 rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9015-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9015-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jun 11 2012 Petr Pisar <ppisar@redhat.com> - 1.9015-11
- Perl 5.16 rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9015-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Jun 15 2011 Marcela Mašláňová <mmaslano@redhat.com> - 1.9015-9
- Perl mass rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9015-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Dec 21 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.9015-7
- 661697 rebuild for fixing problems with vendorach/lib

* Tue May 04 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.9015-6
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 1.9015-5
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9015-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9015-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Jun 30 2008 Paul Howarth <paul@city-fan.org> - 1.9015-2
- Add perl(:MODULE_COMPAT...) dependency (#449362)
- Remove redundant buildreq perl
- Fix "make check" syntax
- Fix argument order for find with -depth

* Thu Sep 27 2007 Warren Togami <wtogami@redhat.com> - 1.9015-1
- 1.9015, update license tag

* Thu Sep 14 2006 Warren Togami <wtogami@redhat.com> - 1.9012-3
- rebuild for FC6

* Fri May 20 2005 Ville Skyttä <ville.skytta at iki.fi> - 1.9012-2
- 1.9012, use canonical CPAN URL in Source0.

* Wed Apr  6 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 1.9011-2
- rebuilt

* Sun Aug 15 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.9011-1
- Update to 1.9011.
- Bring up to date with current fedora.us Perl spec template.

* Sun Feb  8 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.9007-0.fdr.2
- Reduce directory ownership bloat.
- Run tests in the %%check section.

* Sat Feb 07 2004 Warren Togami <warren@togami.com> - 0:1.9007-0.fdr.1
- upgrade to 1.9007

* Thu Nov 13 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.9004-0.fdr.2
- Specfile rewrite.

* Fri Sep 19 2003 Warren Togami <warren@togami.com> - 1.9004-0.fdr.1
- Specfile autogenerated.
